<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.CheckBox?>
<?import javafx.scene.control.DatePicker?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>

<GridPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="500.0" prefWidth="1000.0" xmlns="http://javafx.com/javafx/17" xmlns:fx="http://javafx.com/fxml/1" fx:controller="RechnungseiteController">

   <columnConstraints>
   
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="150.0" minWidth="2.0" prefWidth="8.0" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="260.0" minWidth="0.0" prefWidth="254.0" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="75.0" minWidth="10.0" prefWidth="57.0" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="80.0" minWidth="0.0" prefWidth="23.0" />
      <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
      <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="220.0" minWidth="10.0" prefWidth="205.0" />
      <ColumnConstraints hgrow="SOMETIMES" maxWidth="102.0" minWidth="0.0" prefWidth="15.0" />
   
   </columnConstraints>
   
   <rowConstraints>
   
      <RowConstraints maxHeight="103.0" minHeight="0.0" prefHeight="14.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="198.0" minHeight="7.0" prefHeight="29.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="249.0" minHeight="7.0" prefHeight="29.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="271.0" minHeight="10.0" prefHeight="32.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="214.0" minHeight="10.0" prefHeight="33.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="211.0" minHeight="10.0" prefHeight="46.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="281.0" minHeight="10.0" prefHeight="251.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="233.0" minHeight="10.0" prefHeight="34.0" vgrow="SOMETIMES" />
      <RowConstraints maxHeight="134.0" minHeight="6.0" prefHeight="16.0" vgrow="SOMETIMES" />
   
   </rowConstraints>
   
   <children>
   
      <HBox prefHeight="80.0" prefWidth="269.0" GridPane.columnIndex="1" GridPane.columnSpan="2" GridPane.rowIndex="1">
   
         <children>
   
            <Label prefHeight="25.0" prefWidth="132.0" text="RechnungsNr.:">
   
               <font>
                
                  <Font size="16.0" />
      
               </font>
      
            </Label>
      
            <Text fx:id="txtRechnungsnummer" strokeType="OUTSIDE" strokeWidth="0.0" text="Text" wrappingWidth="150.515625">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </Text>
      
         </children>
      
      </HBox>
      
      <HBox prefHeight="175.0" prefWidth="282.0" GridPane.columnIndex="1" GridPane.columnSpan="2" GridPane.rowIndex="2">
      
         <children>
      
            <Label prefHeight="25.0" prefWidth="139.0" text="Erstell Datum (fix):">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </Label>
            <DatePicker fx:id="dpDatum" />
         
         </children>
      
      </HBox>
      
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.columnSpan="2" GridPane.rowIndex="3">
      
         <children>
      
            <Label prefHeight="25.0" prefWidth="141.0" text="RechnungsDatum:">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </Label>
            <DatePicker />
      
         </children>
      
      </HBox>
      
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.columnSpan="2" GridPane.rowIndex="4">
      
         <children>
      
            <CheckBox fx:id="cbBereitsBezahlt" mnemonicParsing="false" prefHeight="25.0" prefWidth="169.0" text="bereits bezahlt">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </CheckBox>
      
         </children>
    
      </HBox>
    
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.columnSpan="2" GridPane.rowIndex="5">
    
         <children>
    
            <Label prefHeight="25.0" prefWidth="144.0" text="Frist:">
    
               <font>
    
                  <Font size="16.0" />
    
               </font>
    
            </Label>
            <DatePicker />
    
         </children>
    
      </HBox>
    
      <TableView fx:id="tableViewLeistungen" prefHeight="80.0" prefWidth="183.0" GridPane.columnIndex="4" GridPane.columnSpan="3" GridPane.rowIndex="2" GridPane.rowSpan="3">
    
         <columns>
    
            <TableColumn fx:id="colBezeichnungLeistung" prefWidth="498.0" text="Leistungen:" />
    
         </columns>
    
      </TableView>
    
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="4" GridPane.columnSpan="3" GridPane.rowIndex="1">
      
         <children>
      
            <Label prefHeight="25.0" prefWidth="111.0" text="KundenNr:">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </Label>
      
            <TextField fx:id="txtKundennummer" prefHeight="25.0" prefWidth="290.0" />
      
         </children>
      
      </HBox>
      
      <Button fx:id="btnAdd" mnemonicParsing="false" onAction="#AddLeistung" prefHeight="25.0" prefWidth="185.0" text="ADD" GridPane.columnIndex="6" GridPane.rowIndex="5">
      
         <font>
      
            <Font size="16.0" />
      
         </font>
      
      </Button>
      
      <TableView fx:id="tableViewRechnung" prefHeight="200.0" prefWidth="200.0" GridPane.columnIndex="1" GridPane.columnSpan="6" GridPane.rowIndex="6">
      
         <columns>
      
            <TableColumn fx:id="colID" prefWidth="44.0" text="ID" />
            <TableColumn fx:id="colLeistung" prefWidth="119.0" text="Leistung" />
            <TableColumn fx:id="colMenge" prefWidth="76.0" text="Menge" />
            <TableColumn fx:id="colPreis" prefWidth="78.0" text="Preis" />
            <TableColumn fx:id="colNetto" prefWidth="97.0" text="Netto" />
            <TableColumn fx:id="colBrutto" prefWidth="95.0" text="Brutto" />
            <TableColumn fx:id="colUst" prefWidth="93.0" text="Ust" />
            <TableColumn fx:id="colSteuersatz" prefWidth="146.0" text="Steuersatz" />
            <TableColumn fx:id="colBezahlt" prefWidth="149.0" text="Bezahlt" />
         
         </columns>
      
      </TableView>
      
      <HBox prefHeight="100.0" prefWidth="200.0" GridPane.columnIndex="6" GridPane.rowIndex="7">
      
         <children>
      
            <Label prefHeight="25.0" prefWidth="108.0" text="Gesamtpreis:">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </Label>
      
            <Text fx:id="txtGesamtPreis" strokeType="OUTSIDE" strokeWidth="0.0" text="00,00" wrappingWidth="101.515625">
      
               <font>
      
                  <Font size="16.0" />
      
               </font>
      
            </Text>
      
         </children>
      
      </HBox>
   
   </children>

</GridPane>
